Subject: bug#10133: (24.0.91; mark-active)

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Nov 2011 12:27:22 -0500

Stefan Monnier wrote:

> But the current behavior means that without transient-mark-mode, if
> you've set the mark at some point in the past, you can't do a "diff with
> current file" any more, only a "diff between revision at point and
> revision at mark".

You can move the mark to point, though I agree it's not ideal.

> I think `use-region-p' would make a lot of sense here nowadays (there
> was no temporary tmm back when I wrote the code, so something like
> use-region-p would have made the "diff between 2 revisions"
> inaccessible to non-tmm users, but this limit has now been lifted).

Some people disable even temporary tmm. :)